org.springframework.data.mapping

## Enum AccessOptions.SetOptions.SetNulls

- java.lang.Object
- - java.lang.Enum<AccessOptions.SetOptions.SetNulls>
  - - org.springframework.data.mapping.AccessOptions.SetOptions.SetNulls

All Implemented Interfaces:
  Serializable, Comparable<AccessOptions.SetOptions.SetNulls>

Enclosing class:
  AccessOptions.SetOptions

    public static enum AccessOptions.SetOptions.SetNulls
    extends Enum<AccessOptions.SetOptions.SetNulls>

How to handle intermediate null values when setting

Author:
  Oliver Drotbohm

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`REJECT` Reject null values detected when traversing a path to eventually set the leaf property.
`SKIP` Silently skip the attempt to set the value.
`SKIP_AND_LOG` Skip setting the value but log an info message to leave a trace why the value wasn't actually set.

### Method Summary

All Methods Static Methods Concrete Methods
`static AccessOptions.SetOptions.SetNulls` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccessOptions.SetOptions.SetNulls[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REJECT

    public static final AccessOptions.SetOptions.SetNulls REJECT

Reject null values detected when traversing a path to eventually set the leaf property. This will cause a `MappingException` being thrown in that case.

#### SKIP_AND_LOG

    public static final AccessOptions.SetOptions.SetNulls SKIP_AND_LOG

Skip setting the value but log an info message to leave a trace why the value wasn't actually set.

#### SKIP

    public static final AccessOptions.SetOptions.SetNulls SKIP

Silently skip the attempt to set the value.

### Method Detail

#### values

    public static AccessOptions.SetOptions.SetNulls[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccessOptions.SetOptions.SetNulls c : AccessOptions.SetOptions.SetNulls.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccessOptions.SetOptions.SetNulls valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null